Bug 118227 - RFE: include epoch in package file names.
RFE: include epoch in package file names.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-13 19:02 EST by Aleksey Nogin
Modified: 2014-03-16 22:43 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 17:21:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-03-13 19:02:14 EST
Currently RPM "hides" the epoch number, creating user confusion and
increasing resistance against using the epoch number. Would it be a
good idea to start including the epoch number in the package file names?
Comment 1 Paul Nasrat 2004-03-14 02:44:36 EST
IMHO as the majority of rpms for public consumption are created by build
systems then changing the default _rpmfilename for rpm build would
come as a suprise to external packagers and is not something that
should be done.

Epoch comparison, and tie-break comparisons (eg build time) are not
important to users installing packages - they shouldn't have to care.  

I'd recommend improving documentation for packagers regarding epochs -
(there is work ongoing to update Maximum RPM) and not suprising the users.

Comment 2 Barry K. Nathan 2004-03-14 04:01:23 EST
Epoch comparisons certainly *are* important to users!! Anytime a user
sees rpm or up2date replace a package with one that has a lower
version number (e.g. one of the Red Hat 6.2 errata packages -- I
forget which one, maybe portmap or nfs-utils), it matters. Same goes
for a user wondering why the h*** rpm -Uvh or -Fvh won't install a
newer version of a package (in the case where the newer version is
from a different packager and has a lower epoch). A real world example
of the latter is trying to install Red Hat glibc packages on a Yellow
Dog system.

In other words, the only way for epochs to not matter to users is to
not have them (and that's a cure worse than the disease).

So, IMO, it would be less surprising to users to put the epoch in the
filenames than to just let epochs work their magic seemingly at random.
Comment 3 Jeff Johnson 2004-03-14 09:22:30 EST
Changing the default for anything in rpm just ain't gonna happen.

The output file name is configurable, fell free to add Epoch: if that
makes you happy.
Comment 4 Aleksey Nogin 2004-03-14 17:34:22 EST
> Changing the default for anything in rpm just ain't gonna happen.

Then please consider this to be an RFE for changing the format for
file names of packages included in the Fedora distribution. 

I am changing the "Component" field accordingly.
Comment 5 Bill Nottingham 2004-03-15 11:40:32 EST
I'm not sure how you work against 7+ years of legacy package naming here.
Comment 6 Aleksey Nogin 2004-03-15 14:56:07 EST
I understand that this (and bug 118228 RFE) is going to be a tough
change, but IMHO it is worth it. My proposal would be do make it at
the beginning of the FC3 cycle and for things that break try fixing
them so that both the new and the legacy names are supported.
Comment 7 Bill Nottingham 2005-03-02 17:21:31 EST
This is not something we're going to change; too much of a legacy issue to deal
with.

Note You need to log in before you can comment on or make changes to this bug.